
AUTO_CC = \
  GdomeSmartDOMNode.cc \
  GdomeSmartDOMNodeList.cc \
  GdomeSmartDOMNamedNodeMap.cc \
  GdomeSmartDOMCharacterData.cc \
  GdomeSmartDOMAttr.cc \
  GdomeSmartDOMElement.cc \
  GdomeSmartDOMText.cc \
  GdomeSmartDOMComment.cc \
  GdomeSmartDOMCDATASection.cc \
  GdomeSmartDOMDocumentType.cc \
  GdomeSmartDOMNotation.cc \
  GdomeSmartDOMEntity.cc \
  GdomeSmartDOMEntityReference.cc \
  GdomeSmartDOMProcessingInstruction.cc \
  GdomeSmartDOMDocumentFragment.cc \
  GdomeSmartDOMDocument.cc

BUILT_SOURCES = $(AUTO_CC)

CLEANFILES = $(AUTO_CC)

XML2CC = $(srcdir)/../xsl/xml2cc.xsl

SUFFIXES = .xml .cc

noinst_LTLIBRARIES = libcore.la

libcore_la_SOURCES = \
  $(AUTO_CC)

$(AUTO_CC) : $(XML2CC)

if HAVE_XSLTPROC_COND

GdomeSmartDOM%.cc : $(top_srcdir)/xml/DOM/Core/%.xml
	$(XSLTPROC) --param uriprefix "'$(top_srcdir)/xml/DOM/Core'" $(XML2CC) $< >$@

endif

INCLUDES = \
  $(GDOME_CFLAGS) \
  -I$(srcdir)/../include

